Package org.apache.groovy.json.internal

## Class JsonFastParser

- java.lang.Object
- - org.apache.groovy.json.internal.BaseJsonParser
  - - org.apache.groovy.json.internal.JsonParserCharArray
    - - org.apache.groovy.json.internal.JsonFastParser

- All Implemented Interfaces:
    `JsonParser`

      public class JsonFastParser
      extends JsonParserCharArray

  This works in index overlay mode or chop mode. Chop mode reduces possibility of memory leak but causes a few more buffer copies as it chops up the buffer.

- - ### Field Summary

    - ### Fields inherited from class org.apache.groovy.json.internal.JsonParserCharArray

      `__currentChar, __index, charArray, FALSE, NULL, TRUE`

    - ### Fields inherited from class org.apache.groovy.json.internal.BaseJsonParser

      `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, bufSize, charset, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, internedKeysCache, internKeys, LETTER_BIG_E, LETTER_E, MINUS, PLUS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonFastParser()` |
    `JsonFastParser​(boolean useValues)` |
    `JsonFastParser​(boolean useValues, boolean chop)` |
    `JsonFastParser​(boolean useValues, boolean chop, boolean lazyChop)` |
    `JsonFastParser​(boolean useValues, boolean chop, boolean lazyChop, boolean checkDates)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `decodeFromChars​(char[] cs)` |
    `protected Value` | `decodeJsonObjectLazyFinalParse()` |
    `protected Value` | `decodeValue()` |

    - ### Methods inherited from class org.apache.groovy.json.internal.JsonParserCharArray

      `complain, currentChar, decodeFalse, decodeJsonArray, decodeJsonObject, decodeNull, decodeTrue, exceptionDetails, hasCurrent, hasMore, nextChar, parse, skipWhiteSpace`

    - ### Methods inherited from class org.apache.groovy.json.internal.BaseJsonParser

      `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFastParser

          public JsonFastParser()

    - #### JsonFastParser

          public JsonFastParser​(boolean useValues)

    - #### JsonFastParser

          public JsonFastParser​(boolean useValues,
                                boolean chop)

    - #### JsonFastParser

          public JsonFastParser​(boolean useValues,
                                boolean chop,
                                boolean lazyChop)

    - #### JsonFastParser

          public JsonFastParser​(boolean useValues,
                                boolean chop,
                                boolean lazyChop,
                                boolean checkDates)

  - ### Method Detail

    - #### decodeJsonObjectLazyFinalParse

          protected final Value decodeJsonObjectLazyFinalParse()

    - #### decodeValue

          protected Value decodeValue()

      Overrides:
        `decodeValue` in class `JsonParserCharArray`

    - #### decodeFromChars

          protected final java.lang.Object decodeFromChars​(char[] cs)

      Overrides:
        `decodeFromChars` in class `JsonParserCharArray`